[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: splitting packages: trouble with overwriting/replacing files during upgrade



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 2011-11-21 23:25, Jakub Wilk wrote:
>> hmm, i only now realized that my package actually uses an epoch, so it
>> should read "<< 1:0.93", but this doesn't seem to help either.
> 
> It should help. Are you sure that you corrected versions in both Breaks
> and Replaces?

i did.
and indeed it does help!

dpkg bails out, but this time it complains about the old version
conflicting with the replacement package, which is obviously what i
asked for (i only misread the error message, believing i still get the
error about overwriting files)

thanks.

fmasdr
IOhannes
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk7OWSkACgkQkX2Xpv6ydvRIZACgpsWxsYAdJvNpah8IBh+jgDEt
UYcAnRapvdsU7mCEwWUYvN0x4b+6saOH
=1yTE
-----END PGP SIGNATURE-----

Attachment: smime.p7s
Description: S/MIME Cryptographic Signature


Reply to: